#
# spec file for package perl-CGI-Ajax
#
# Copyright (c) 2007 Marcel Steinke, Wolfsburg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to mavo07@kubus-ng.net
#

# norootforbuild
Name: 		perl-CGI-Ajax
Summary: 	Mechanism for AJAX or DHTML based web applications
Version: 	0.701
Release: 	2.2
URL: 		http://search.cpan.org/dist/CGI-Ajax/
Source: 	http://search.cpan.org/CPAN/authors/id/B/BC/BCT/CGI-Ajax-%{version}.tar.gz
License: 	Artistic/GPL
Group: 		Applications/CPAN
Packager: 	Marcel Steinke <mavo07@kubus-ng.net>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-build
BuildArch: 	noarch
BuildRequires:	perl perl-Class-Accessor

%description
Perljax provides a unique mechanism for using perl code
asynchronously from javascript using AJAX to access user-written
perl functions/methods. Perljax unburdens the user from having to
write any javascript, except for having to associate an exported
method with a document-defined event (such as onClick, onKeyUp,
etc). Only in the more advanced implementations of a exported perl
method would a user need to write any javascript. Perljax supports
methods that return single results, or multiple results to the web
page. No other projects that we know of are like Perljax for the
following reasons: 1. Perljax is targeted specifically for perl
development. 2. Perljax shields the user from having to write any
javascript at all (unless they want to).  3. The URL for the HTTP GET
request is automatically generated based on HTML layout and events,
and the page is then dynamically updated.  4. Perljax is not part
of a Content Management System, or some other larger project.

%prep
%setup -q -n CGI-Ajax-%{version}

%build
perl Makefile.PL 

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/CGI/Ajax/.packlist

%clean
rm -rf %RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/CGI
%{perl_vendorlib}/CGI/Ajax.pm
/var/adm/perl-modules/%{name}

%changelog
* Sat Mar 31 2007 - Marcel Steinke <mavo07@kubus-ng.net>
- Initial package based on the perl-CGI-Ajax package from Dries Verachtert
